#!/bin/sh
# 04/07/2003

#TODO: fails with "struct sockaddr" redefinitions

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || cp Makefile Makefile.OLD || exit 1
	chmod u+w Makefile
	cat Makefile.OLD \
		| sed "s%^CC.*=.*%CC= ${CROSS}gcc -nostdinc -I${TCTREE}/usr/include -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include -I${TCTREE}/usr/lib/gcc-lib/i686-linux-gnu/2.95.3/include%" \
		> Makefile || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc- sense || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/sbin || exit 1
	FAILED=n
	for FILE in check_wtmpx chkdirs chklastlog chkpro chkproc \
		chkrootkit chkwtmp ifpromisc strings ; do
		cp ${FILE} ${INSTTEMP}/usr/sbin/ || FAILED=y
		[ "$FAILED" = 'n' ]
	done || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make prefix=${INSTTEMP}/usr install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
