#!/bin/sh
# 04/07/2003

#TODO: suffers various redefinitions (eg "struct sockaddr")

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc CFLAGS="-O2" \
		./configure \
		 --prefix=/usr \
		 --host=`uname -m` --build=${TARGET_CPU} --target=${TARGET_CPU} \
		 --disable-nls --disable-largefile \
		 || exit 1

	chmod u+w Makefile kversion.h

	[ -r Makefile.OLD ] || cp Makefile Makefile.OLD
	cat Makefile.OLD \
		| sed "s%^DEFAULT_INCLUDES =%DEFAULT_INCLUDES=-nostdinc -I${TCTREE}/usr/include -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include -I${TCTREE}/usr/lib/gcc-lib/i686-linux-gnu/2.95.3/include%" \
		 > Makefile || exit 1

	[ -r kversion.h.OLD ] || cp kversion.h kversion.h.OLD
	cat kversion.h.OLD | sed 's%^%//%' > kversion.h || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make \
		 || exit 1

# INSTALL...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make DESTDIR=${INSTTEMP} install \
		 || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
