#!/bin/sh
# 04/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
	CFLAGS="-nostdinc -I${TCTREE}/usr/include -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include -I${TCTREE}/usr/lib/gcc-lib/i686-linux-gnu/2.95.3/include/" \
	./configure --prefix=/usr \
		 || exit 1
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc || exit 1
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
