#!/bin/sh
# 04/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	LOCATION=/usr/${TARGET_CPU}-linux-dietlibc

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc prefix=${LOCATION}

# INSTALL...
	make DESTDIR=${INSTTEMP} prefix=${LOCATION} install
}

make_tc_host()
{
# CONFIGURE...
	LOCATION=${TCTREE}/usr/${TARGET_CPU}-linux-dietlibc

# BUILD...
	make prefix=${LOCATION}

# INSTALL...
	make prefix=${LOCATION} install
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
