#!/bin/sh
# 04/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
# ...we give RANLIB_FOR_TARGET a full path since v5.3 has an
# errant `ranlib` invocation in `make install`
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 AR=${TARGET_CPU}-uclibc-ar \
	 CC=${TARGET_CPU}-uclibc-gcc \
	 RANLIB_FOR_TARGET=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin/${TARGET_CPU}-uclibc-ranlib \
	 RANLIB=ranlib \
		./configure \
		 --prefix=/usr/local \
		 --disable-nls \
		 --host=`uname -m`-pc-linux-gnu --build=${TARGET_CPU}-linux --target=${TARGET_CPU}-linux \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make all || exit 1

# INSTALL...
	# appears supposed to support DESTDIR, but doesn't
	make prefix=${INSTTEMP}/usr/local install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr --bindir=${INSTTEMP}/bin || exit 1
#	make || exit 1
#	make install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
