#!/bin/sh
# 04/07/2003

# TODO: - Uses <TOOLCHAIN>/usr/include to allow linux/filter.h to be
# TODO: found; however, -nostdinc... route seems to fail :(

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
# | sed "s%INCLUDES =%INCLUDES = -nostdinc -I${TCTREE}/usr/include -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include -I${TCTREE}/usr/lib/gcc-lib/i686-linux-gnu/2.95.3/include%" \
	mv common/Makefile.dist common/Makefile.dist.OLD
	cat common/Makefile.dist.OLD \
		| sed "s%INCLUDES =%INCLUDES = -I${TCTREE}/usr/include %" \
		> common/Makefile.dist || exit 1

	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		./configure \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc \
		 || exit 1

# INSTALL...
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#	( cd ${INSTTEMP}/usr/bin && ( \
#		[ -r lex ] && exit 1 ;\
#		grep '^#lex#.' $0 | sed 's/......//' > lex ;\
#		chmod a+rx lex \
#	) || exit 1 ) || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
