#!/bin/sh
# 05/06/2003

#TODO: "Command not found" - tries to cross-compile host utils :(

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc CCC=${TARGET_CPU}-uclibc-g++ \
		./configure --prefix=/usr \
		 --build=`uname -m` --host=${TARGET_CPU} --target=${TARGET_CPU} \
		 --disable-largefile \
		 || exit 1

#	host utilities...
	make CC=gcc dftables

#	cross-compilation...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

#	install...
	mkdir -p ${INSTTEMP}/usr
	make prefix=${INSTTEMP}/usr install || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
*)
	exit 1
	;;
esac
