#!/bin/sh
# 16/06/2003

# TODO:- "configure: error: cannot run test program while cross
# TODO: compiling" - is seeking for strerror(). Hard to override.

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 ac_cv_search_strerror="none required" \
	 ac_cv_func_strerror=yes \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure \
		 --build=`uname -m` --host=${TARGET_CPU} --target=${TARGET_CPU} \
		 --prefix=/usr \
		 --disable-nls --disable-largefile \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

# INSTALL...
	make prefix=${INSTTEMP}/usr install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
