#!/bin/sh
# 05/07/2003

# TODO:- wants some ioctl() constants that aren't in the 2.0.x kernels

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD || exit 1
	cat Makefile.OLD \
		| sed 's/^CC=.*/CC=${CROSS}cc/' \
		| sed 's/$(prefix)/$(DESTDIR)$(prefix)/' \
		> Makefile || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc-g || exit 1

# INSTALL...
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_tc_host()
#{
## CONFIGURE...
## BUILD...
## INSTALL...
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
