#!/bin/sh
# 27/06/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#TODO: Wants to link with '-lbsd'
#TODO: Default compiler is 'cc'
#TOOD: - source from ftp.sbusol.uni-sb.de/pub/Linux/local/florian

make_build()
{
# CONFIGURE...
	cat <<EOF > GNUmakefile
#!`which make`

CC=\${CROSS}gcc

.SUFFIXES:
.SUFFIXES: .c .o

.c.o: \$*.c \$*.h
	\${CC} \${CFLAGS} -c \$*.c -o \$@

EOF
	cat Makefile \
		| sed 's%-I/usr/include/bsd%%' \
		| sed 's%-lbsd%%' \
		| sed 's% /bin/% ${DESTDIR}/bin/%' \
		| sed 's% /usr/% ${DESTDIR}/usr/%' \
		| sed 's%install: all%install: ${PROG}%' \
		| sed 's/ -m486 / /' \
		>> GNUmakefile || exit 1

	[ -r mknodes.c.OLD ] || cp mknodes.c mknodes.c.OLD || exit 1
	cat mknodes.c.OLD \
		| sed 's/= stdin//' \
		> mknodes.c

# BUILD...
# ...tools
	make CROSS='' mkinit mknodes mksyntax || exit 1
# ...remainder
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc- all || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/bin ${INSTTEMP}/usr/man/man1 || exit 1
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr --bindir=${INSTTEMP}/bin || exit 1
#	make || exit 1
#	make install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
