#!/bin/sh
# 27/06/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

# TODO:- willow claims undefined references to fputc*()

make_build()
{
#	mkdir -p ${SOURCETMP}/binutils-build
#	( cd ${SOURCETMP}/binutils-build && \
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure \
		 --prefix=/usr \
		 --disable-nls --disable-largefile \
			|| exit 1 ;\
#	 CC=${TARGET_CPU}-uclibc-gcc \
#		${SOURCETMP}/${SRCXPATH}/configure \
#		 --prefix=/usr \
#		 --disable-nls --disable-largefile \
#			|| exit 1 ;\
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1 ;\
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make prefix=${INSTTEMP}/usr CC=gcc install || exit 1 \
#	) || exit 1
}

make_tc_host()
{
#	mkdir -p ${SOURCETMP}/binutils-build
#	( cd ${SOURCETMP}/binutils-build && \
#		${SOURCETMP}/${SRCXPATH}/configure \
		./configure \
		 --prefix=${INSTTEMP}/usr \
		 --disable-nls --disable-largefile \
			|| exit 1 ;\
		make || exit 1 ;\
		make install || exit 1 \
#	) || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
