#!/bin/sh
# 01/04/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

do_prelim()
{
	[ -r dosfsck/Makefile.OLD ] || cp dosfsck/Makefile dosfsck/Makefile.OLD
	sed 's/ln -s/ln -sf/' dosfsck/Makefile.OLD > dosfsck/Makefile

	[ -r mkdosfs/Makefile.OLD ] || cp mkdosfs/Makefile mkdosfs/Makefile.OLD
	sed 's/ln -s/ln -sf/' mkdosfs/Makefile.OLD > mkdosfs/Makefile
}

make_build()
{
# CONFIGURE...
	do_prelim

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc

# INSTALL...
	make PREFIX=${INSTTEMP} install
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
