#!/bin/sh
# 01/04/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
	## busybox 'tail' breaks the compression
	make COMPRESS='' || exit 1
	make PREFIX=${INSTTEMP}/usr install || exit 1
	( cd ${INSTTEMP}/usr/bin && ( \
		for LINK in `ls e3??` ; do \
			ln -sf e3 $LINK ;\
		done ;\
		[ -r vi ] && rm vi ;\
		grep '^#vi#.' $0 | sed 's/....//' > vi ;\
		chmod a+rx vi \
	) || exit 1 ) || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac

#vi#	#!/bin/sh
#vi#	
#vi#	VI=e3vi
#vi#	case $0 in
#vi#	*/*)	VI=`dirname $0`/${VI} ;;
#vi#	esac
#vi#	
#vi#	${VI} $*
