#!/bin/sh
# 06/06/2003

#TODO: "No such file or directory" - insists on testing the built prog

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
#	[ -r test-groff.OLD ] || cp test-groff test-groff.OLD
#	echo "#!/bin/sh" > test-groff || exit 1
#	echo "exit 0" >> test-groff
#	cat test-groff.OLD | sed 's/^/#/' >> test-groff

	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc CCC=${TARGET_CPU}-uclibc-g++ \
		./configure \
		 --prefix=/usr \
		 --build=`uname -m` --host=${TARGET_CPU} --target=${TARGET_CPU} \
		 --disable-largefile --disable-nls \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make all || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr
	make prefix=${INSTTEMP}/usr install || exit 1
}

make_tc_host()
{
# CONFIGURE...
	./configure \
		 --prefix=${INSTTEMP}/usr \
		 --build=`uname -m` --host=${TARGET_CPU} --target=${TARGET_CPU} \
		 --disable-largefile --disable-nls \
		 || exit 1

# BUILD...
		make all || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr
	make install || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
