#!/bin/sh
# 16/06/2003

#TODO: requires kernel with CONFIG_IP_FIREWALL or CONFIG_IP_FIREWALL_CHAINS set (post-2.1.102; cf /proc/net/ip_fwchains)

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE
# ...v1.3.10 can extract from source in prebuilt state, so 'make clean'
	make clean
	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD || exit 1
# ...install will fail as ordinary user unless we chown elsewhere
	cat Makefile.OLD \
		| sed 's/-o root/${UIDOPTS}/' \
		| sed 's/-g root/${GIDOPTS}/' \
		> Makefile || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc || exit 1

# INSTALL...
# tries to chown() - and fails...
	make PREFIX=${INSTTEMP} install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr --bindir=${INSTTEMP}/bin || exit 1
#	make || exit 1
#	make install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
