#!/bin/sh
# 05/06/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Config.mk.OLD ] || cp Config.mk Config.mk.OLD
	cat Config.mk.OLD \
		| sed 's/^CC *=.*/CC=${CROSS}gcc/' \
		| sed 's/^LIBC5_CC *=.*/LIBC5_CC=${CROSS}gcc/' \
		> Config.mk

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc- -C util ldconfig || exit 1

# INSTALL...
# ...we only do a partial build - so can't use make
#	make DESTDIR=${INSTTEMP} install || exit 1
	mkdir -p ${INSTTEMP}/usr/sbin
	mkdir -p ${INSTTEMP}/usr/man/man8
	cp util/ldconfig ${INSTTEMP}/usr/sbin/ || exit 1
	cp man/ldconfig.8 ${INSTTEMP}/usr/man/man8/ || exit 1
}

#make_tc_host()
#{
#	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
#		make || exit 1
#	make DESTDIR=${INSTTEMP} install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
