#!/bin/sh
# 05/06/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || cp Makefile Makefile.OLD
	cat Makefile.OLD \
		| sed 's/gcc /${CROSS}gcc /' \
		| sed 's/install /${INSTALL} /' \
		| sed 's% /usr/local/sbin% ${DESTDIR}/usr/sbin%' \
		> Makefile

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc- \
		 || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/sbin
	mkdir -p ${INSTTEMP}/usr/man/man8
	make INSTALL=install DESTDIR=${INSTTEMP} install \
	 || exit 1
	cp linetd.8 ${INSTTEMP}/usr/man/man8 || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
