#!/bin/sh
# 06/06/2003

# TODO:- Runtime "Created config directory " and hangs (temproot) :(
# TODO:- Runtime: napping OK, segmentation fault in 'nap' though

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure \
		 --build=`uname -m` --host=${TARGET_CPU} --target=${TARGET_CPU} \
		 --prefix=/usr \
		 --disable-nls --disable-largefile \
		 || exit 1

	[ -r src/Makefile.OLD ] || mv src/Makefile src/Makefile.OLD
	cat src/Makefile.OLD \
		| sed "s%-I. %-I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include/ncurses -I. %" \
		> src/Makefile || exit 1


# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

# INSTALL...
	make prefix=${INSTTEMP}/usr install || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
