#!/bin/sh
# 06/06/2003

#TODO: (runtime) error - "Error opening terminal: screen"

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || cp Makefile Makefile.OLD
	echo "INCL = -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include/ncurses" > Makefile
	cat Makefile.OLD \
		| sed 's/gcc /${CROSS}gcc /' \
		| sed 's/ -c / ${INCL} -c /' \
		>> Makefile

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc- nibbles \
		 || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/local/bin
	cp nibbles ${INSTTEMP}/usr/local/bin || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
