#!/bin/sh
# 28/05/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		./config shared `echo $TARGET_CPU | sed 's/i//'` \
		 --prefix=/usr/local --openssldir=/usr/local/openssl \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc \
		 || exit 1

# INSTALL...
	make INSTALL_PREFIX=${INSTTEMP} install || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
