#!/bin/sh
# 27/03/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#X#	distro-cross:

make_tc_host()
{
	[ ! -r config.sh ] || rm -f config.sh
	[ ! -r Policy.sh ] || rm -f Policy.sh
	sh Configure -de
##	--
	[ -r config.sh.OLD ] || cp config.sh config.sh.OLD
	cat config.sh.OLD \
		| sed "s^usr/local^${INSTTEMP}/usr/local^" \
		> config.sh
##	--
	make
	make test || true
	make bin=${INSTTEMP}/usr/bin scriptdir=${INSTTEMP}/usr/bin man1dir=${INSTTEMP}/usr/man/man1 man3dir=${INSTTEMP}/usr/man/man3 install
}

case "$1" in
#distro-cross)
#	make_build || exit 1
#	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
