#!/bin/sh
# 30/05/2003

[ "${DIRTREE}" ] && . ${DIRTREE}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
	mkdir -p ${INSTTEMP}/etc ${INSTTEMP}/root
	for ARCHIVE in `ls *.tgz` ; do \
		cat ${ARCHIVE} | gzip -d | ( cd ${INSTTEMP} && tar xvf - ) ;\
	done
	./bin/mkdpy ${PKGVER} > ${INSTTEMP}/root/syslinux.dpy
	echo "Franki/Earlgrey Linux, with ${PKGNAME} v${PKGVER}" > ${INSTTEMP}/etc/issue
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
*)
	exit 1
	;;
esac
