#!/bin/sh
# 06/06/2003

# TODO: works? but requires bash?

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
	AWKHEAD=`awk -W version 2>&1 | head -1 | sed 's/GNU /GNU-/' | sed 's/ /-/' | sed 's/ .*//'`
	AWKNAME=`echo $AWKHEAD | sed 's/-[^-]*$//'`
	AWKVER=`echo $AWKHEAD | sed 's/.*-//'`

	# set 'dosleep' empty, assuming possibly-slow CPU
	# set 'awk_opt' "-W interactive", assuming mawk
	# set 'level=1', the recommended default
	[ -r tetris.cfg.OLD ] || cp tetris.cfg tetris.cfg.OLD
	if [ $AWKNAME = 'mawk' ] ; then
		cat tetris.cfg.OLD \
			| sed 's/dosleep=.*/dosleep=/' \
			| sed 's/awk_opt=.*/awk_opt="-W interactive"/' \
			| sed 's/level=.*/level=1/' \
			> tetris.cfg
	else
		cat tetris.cfg.OLD \
			| sed 's/dosleep=.*/dosleep=/' \
			| sed 's/level=.*/level=1/' \
			> tetris.cfg
	fi

	[ -r install.sh.OLD ] || cp install.sh install.sh.OLD
	cat install.sh.OLD \
		| sed "s%^prefix=.*%prefix=${INSTTEMP}%" \
		> install.sh
	./install.sh debian.policy
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr --bindir=${INSTTEMP}/bin || exit 1
#	make
#	make install
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
