#!/bin/sh
# 04/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure --prefix=/usr \
		 --host=`uname -m` --target=${TARGET_CPU} \
		 --disable-largefile --disable-nls \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

# INSTALL...
	make prefix=${INSTTEMP}/usr install || exit 1
}

#make_tc_cross()
#{
## CONFIGURE...
#	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
#	 ac_cv_sizeof_short=2 \
#	 ac_cv_sizeof_int=4 \
#	 ac_cv_sizeof_long=4 \
#	 ac_cv_sizeof_long_long=8 \
#	 CC=${TARGET_CPU}-uclibc-gcc \
#		./configure --prefix=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/usr \
#		 --host=`uname -m` --target=${TARGET_CPU} \
#		 --disable-largefile --disable-nls \
#		 --with-pcap=linux \
#		 || exit 1
#
## BUILD...
#	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
#		make || exit 1
#
## INSTALL...
#	make install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-cross)
#	INSTTEMP=${TCTREE} make_tc_cross || exit 1
#	;;
*)
	exit 1
	;;
esac
