#!/bin/sh
# 04/07/2003

# NB: - Requires uClibc compiled with 'UCLIBC_HAS_RPC=y' and
# NB: 'UCLIBC_HAS_FULL_RPC=y' (v0.9.19-3, NOT 0.9.19-2)

# TODO:- ./configure fails - bad sed substitutions?

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
##	./autogen.sh --noconfigure
##	aclocal
#	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
#	 CC=${TARGET_CPU}-uclibc-gcc \
#	 ac_cv_sizeof_char=1 \
#	 ac_cv_sizeof_unsigned_char=1 \
#	 ac_cv_sizeof_short=2 \
#	 ac_cv_sizeof_unsigned_short=2 \
#	 ac_cv_sizeof_int=4 \
#	 ac_cv_sizeof_unsigned_int=4 \
#	 ac_cv_sizeof_long=4 \
#	 ac_cv_sizeof_unsigned_long=4 \
#	 ac_cv_sizeof_long_long=8 \
#	 ac_cv_sizeof_unsigned_long_long=8 \
#	 ac_cv_sizeof_long_long=8 \
#	 ac_cv_sizeof_unsigned_long_long=8 \
#	 ac_cv_sizeof_float=4 \
#	 ac_cv_sizeof_double=8 \
#	 db_cv_alignp_t="unsigned long long" \
#	 db_cv_mutex=x86/gcc-assembly \
#	 db_cv_fcntl_f_setfd=yes \
#	 db_cv_sprintf_count=yes \
#		./configure --prefix=/usr \
#		 --host=`uname -m` --target=${TARGET_CPU} \
#		 --sysconfdir=/etc --localstatedir=/var \
#		 --enable-shared=beecrypt,db3 \
#		 --with-included-gettext=no \
#		 || exit 1
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure --prefix=/usr \
		 --host=`uname -m` --build=${TARGET_CPU} --target=${TARGET_CPU} \
		 --sysconfdir=/etc --localstatedir=/var \
		 --enable-shared=beecrypt,db3 \
		 --with-included-gettext=no \
		 || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

# INSTALL...
	make DESTDIR=${INSTTEMP} install || exit 1
}

make_toolchain()
{
# CONFIGURE...
#	./autogen.sh --noconfigure
#	aclocal
	./configure --prefix=/usr \
		 --sysconfdir=/etc --localstatedir=/var \
		 --enable-shared=beecrypt,db3 --with-included-gettext=no \
		 || exit 1

# BUILD...
	make || exit 1

# INSTALL...
	make DESTDIR=${INSTTEMP} install || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain)
	INSTTEMP=${TCTREE} make_toolchain || exit 1
	;;
*)
	exit 1
	;;
esac
