#!/bin/sh
# 08/06/2003

# TODO: - Requires Python.h
# TODO: - Has its build.mak still (keep until above fixed)!

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#prelim:
#	[ -r autogen.sh.OLD ] || cp autogen.sh autogen.sh.OLD
## autogen.sh mods: 1: libtoolize is version we make
## autogen.sh mods: 2: ensure descend-into-subdir commands work
#	cat autogen.sh.OLD \
#		| sed 's%LTV="libtoolize (GNU libtool) 1.4"%LTV="libtoolize (GNU libtool) 1.4.2"%' \
#		| sed 's%ACV="Autoconf version 2.13"%ACV="autoconf (GNU Autoconf) 2.53"%' \
#		| sed 's%"`autoconf --version`"%"`autoconf --version | head -1`"%' \
#		| sed 's%AMV="automake (GNU automake) 1.4-p5"%AMV="automake (GNU automake) 1.6"%' \
#		| sed 's%; \.% \&\& .%' \
#		> autogen.sh

make_build()
{
# CONFIGURE...
#	./autogen.sh --noconfigure
#	aclocal
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 CC=${TARGET_CPU}-uclibc-gcc \
		./configure --prefix=/usr \
		 --sysconfdir=/etc --localstatedir=/var \
		 --enable-shared=beecrypt,db3 --with-included-gettext=no

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make

# INSTALL...
	make DESTDIR=${INSTTEMP} install
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make install || exit 1
}

make_toolchain()
{
#	./autogen.sh --noconfigure
#	aclocal
	./configure --prefix=/usr \
		--sysconfdir=/etc --localstatedir=/var \
		--enable-shared=beecrypt,db3 --with-included-gettext=no
	make
	make DESTDIR=${INSTTEMP} install
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make install || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain)
	INSTTEMP=${TCTREE} make_toolchain || exit 1
	;;
*)
	exit 1
	;;
esac
