#!/bin/sh
# 12/06/2003

# TODO: - Suspect Configure expects to be in the target environment

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	mv -f Configure Configure.OLD || exit 1
	cat Configure.OLD \
		| sed "s/Cmdcc.*cc/Cmdcc = ${TARGET_CPU}-uclibc-gcc/" \
		> Configure || exit 1
	chmod a+x Configure
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		./Configure || exit 1

# BUILD/INSTALL...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
	 make DESTDIR=${INSTTEMP} install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make prefix=${INSTTEMP}/usr install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
