#!/bin/sh
# 04/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD
	cat Makefile.OLD \
		| sed 's%^SBINDIR=.*%SBINDIR=${prefix}/sbin%' \
		| sed "s%-W -Wall%-W -Wall -nostdinc -I${TCTREE}/usr/include -I${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/include -I${TCTREE}/usr/lib/gcc-lib/i686-linux-gnu/2.95.3/include%" \
		> Makefile || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make prefix=/usr CROSS_COMPILE=${TARGET_CPU}-uclibc- \
		 || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/bin ${INSTTEMP}/usr/sbin || exit 1
	make prefix=${INSTTEMP}/usr install || exit 1
}

#make_toolchain()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_toolchain || exit 1
#	;;
*)
	exit 1
	;;
esac
