#!/bin/sh
# 27/03/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#X#	distro-cross:

make_tc_host()
{
	cp awklib/Makefile.in awklib/Makefile.in.backup
	sed	-e '/^datadir/s/awk/gawk/' \
		-e '/^libexecdir/s%/awk%%' awklib/Makefile.in.backup \
		> awklib/Makefile.in
	./configure --prefix=/usr --disable-nls \
			--libexecdir=/usr/bin || exit 1
	make || exit 1
	make prefix=${INSTTEMP}/usr libexecdir=${INSTTEMP}/usr/bin install || exit 1
	( cd ${INSTTEMP}/usr/bin && rm gawk-${PKGVER} )
}

case "$1" in
#distro-cross)
#	make_build || exit 1
#	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
