#!/bin/sh
# 27/03/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#X#	distro-cross:

make_tc_host()
{
	mkdir -p ${SOURCETMP}/gcc-build
	( cd ${SOURCETMP}/gcc-build && \
		${SOURCETMP}/${SRCXPATH}/configure \
		 --prefix=${INSTTEMP}/usr \
		 --enable-languages=c,c++ \
		 --disable-nls --disable-largefile \
			|| exit 1 ;\
		make bootstrap || exit 1 ;\
		make || exit 1 ;\
		make install || exit 1 \
	) || exit 1
}

case "$1" in
#distro-cross)
#	make_build || exit 1
#	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
