#!/bin/sh
# 27/06/2003

# TODO:- requires uClibc's includes as well as linux's (io.h) but
# TODO: claims MB_CUR_MAX is not defined when we have them

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#X#	distro-cross:

make_tc_host()
{
# CPPFLAGS setting suggested for glibc=2.1.x:
	CPPFLAGS=-Dre_max_failures=re_max_failures2 ./configure --prefix=${INSTTEMP}/usr --bindir=${INSTTEMP}/bin --disable-nls || exit 1
	[ -r src/Makefile.OLD ] || cp src/Makefile src/Makefile.OLD
	cat src/Makefile.OLD \
		| sed 's%ln -s %ln -sf %' \
		> src/Makefile
	make || exit 1
	make prefix=${INSTTEMP}/usr bindir=${INSTTEMP}/bin install || exit 1
}

case "$1" in
#distro-cross)
#	make_build || exit 1
#	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
