#!/bin/sh
# 05/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

#make_build()
#{
## CONFIGURE...
#	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD || exit 1
#	cat Makefile.OLD \
#		| sed 's/^CC=.*/CC=${CROSS}cc/' \
#		| sed "s/-march=[a-z0-9]*/-march=${TARGET_CPU}/" \
#		> Makefile || exit 1
#
## BUILD...
#	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
#		make CROSS=${TARGET_CPU}-uclibc-g || exit 1
#
## INSTALL...
#	mkdir -p ${INSTTEMP}/usr/lib/${PKGNAME} || exit 1
#	cp memtest.bin ${INSTTEMP}/usr/lib/${PKGNAME}
#}

make_tc_host()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD || exit 1
	cat Makefile.OLD \
		| sed 's/^CC=.*/CC=${CROSS}cc/' \
		| sed "s/-march=[a-z0-9]*/-march=${TARGET_CPU}/" \
		> Makefile || exit 1

# BUILD...
	make CROSS=g || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/lib/${PKGNAME} || exit 1
	cp memtest.bin ${INSTTEMP}/usr/lib/${PKGNAME}
}

case "$1" in
#distro-cross)
#	make_build || exit 1
#	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
