#!/bin/sh
# 03/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r netcat.c.OLD ] || mv netcat.c netcat.c.OLD || exit 1
	cat netcat.c.OLD \
		| sed 's%#define HAVE_BIND%/* #define HAVE_BIND */%' \
		> netcat.c || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CC=${TARGET_CPU}-uclibc-gcc linux

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/sbin || exit 1
	cp nc ${INSTTEMP}/usr/sbin/
	mkdir -p ${INSTTEMP}/usr/local/netcat-scripts || exit 1
	cp -r scripts* ${INSTTEMP}/usr/local/netcat-scripts/
}

#make_tc_host()
#{
## CONFIGURE...
## ...tries to use 'cc' by default. Assume cc != gcc:
#	CC=`which gcc` ./configure --prefix=${INSTTEMP}/usr \
#		--bindir=/bin \
#		--libexecdir=/usr/bin \
#		--disable-largefile --disable-nls || exit 1
#
## BUILD...
#	make || exit 1
#
## INSTALL...
#	make prefix=${INSTTEMP}/usr bindir=${INSTTEMP}/bin libexecdir=${INSTTEMP}/usr/bin install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
