#!/bin/sh
# 05/07/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || mv Makefile Makefile.OLD || exit 1
	cat Makefile.OLD \
		| sed 's/^CC=.*/CC=${CROSS}cc/' \
		| sed 's/$(prefix)/$(DESTDIR)$(prefix)/' \
		> Makefile || exit 1

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make CROSS=${TARGET_CPU}-uclibc-g || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/bin || exit 1
	mkdir -p ${INSTTEMP}/usr/man/man1 || exit 1
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_tc_host()
#{
#	## tries to use 'cc' by default. Assume cc != gcc:
#	CC=`which gcc` ./configure --prefix=${INSTTEMP}/usr \
#		--bindir=/bin \
#		--libexecdir=/usr/bin \
#		--disable-largefile --disable-nls || exit 1
#	make || exit 1
#	make prefix=${INSTTEMP}/usr bindir=${INSTTEMP}/bin libexecdir=${INSTTEMP}/usr/bin install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain-host)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
