#!/bin/sh
# 29/04/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} CC=${TARGET_CPU}-uclibc-gcc \
		make || exit 1

# INSTALL...
	make INSTALLROOT=${INSTTEMP} install || exit 1
}

make_tc_host()
{
# CONFIGURE...
# BUILD...
	make || exit 1

# INSTALL...
	make INSTALLROOT=${INSTTEMP} install || exit 1
}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
toolchain-host)
	INSTTEMP=${TCTREE} make_tc_host || exit 1
	;;
*)
	exit 1
	;;
esac
