#!/bin/sh
# 05/06/2003

[ "${SYSCONF}" ] && . ${SYSCONF}
[ "${PKGFILE}" ] && . ${PKGFILE}

make_build()
{
# CONFIGURE...
	[ -r Makefile.OLD ] || cp Makefile Makefile.OLD
	cat Makefile.OLD \
		| sed 's/LIBS=.*/LIBS=-ldl -lm/' \
		| sed 's/ -ldl/ $(LIBS)/' \
		> Makefile

	bigendian=no ./configure --prefix=/usr --cc=${TARGET_CPU}-uclibc-gcc || exit 1
	[ -r config.mak.OLD ] || cp config.mak config.mak.OLD
	cat config.mak.OLD \
		| sed 's%/usr%${DESTDIR}/usr%' \
		> config.mak

# BUILD...
	PATH=${TCTREE}/usr/${TARGET_CPU}-linux-uclibc/bin:${PATH} \
		make || exit 1

# INSTALL...
	mkdir -p ${INSTTEMP}/usr/bin || exit 1
	mkdir -p ${INSTTEMP}/usr/include || exit 1
	mkdir -p ${INSTTEMP}/usr/man/man8 || exit 1
	make DESTDIR=${INSTTEMP} install || exit 1
}

#make_tc_host()
#{
#	./configure --prefix=${INSTTEMP}/usr || exit 1
#	make || exit 1
#	make DESTDIR=/ install || exit 1
#}

case "$1" in
distro-cross)
	make_build || exit 1
	;;
#toolchain)
#	INSTTEMP=${TCTREE} make_tc_host || exit 1
#	;;
*)
	exit 1
	;;
esac
